Bug 336342 - Compositing KCM does not reset OpenGLISUnsafe after a KWin crash
Summary: Compositing KCM does not reset OpenGLISUnsafe after a KWin crash
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/118...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-17 05:44 UTC by Luca Beltrame
Modified: 2014-06-23 06:14 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Beltrame 2014-06-17 05:44:42 UTC
I've had KWin crash on my system when trying out something (but this is for another bug report once I reproduce the crash) and then I found myself unable to reset the OpenGLISUnsafe option through the KCM. Clicking the presented button to turn on compositing again does nothing.

The only way to reset the check was to manually set OpenGLISUnsafe=false in kwinrc.

This is from master from yesterday.

Reproducible: Always

Steps to Reproduce:
1. Have any issue set OpenGLIsUnsafe in kwinrc
2. Access the KCM
3. Click the button to re-enable compositing
Actual Results:  
Nothing happens and OpenGLIsUnsafe is not reset to false

Expected Results:  
KWin should be restarted with compositing on.
Comment 1 Martin Flöser 2014-06-17 05:47:47 UTC
please specify your exact git hash as I pushed a fix for it yesterday.
Comment 2 Luca Beltrame 2014-06-17 05:50:08 UTC
In data martedì 17 giugno 2014 05:47:47, hai scritto:

> please specify your exact git hash as I pushed a fix for it yesterday.

It should be 52653aa.
Comment 3 Martin Flöser 2014-06-17 06:02:00 UTC
ok, that has the fix. Which KCM did you use?
Comment 4 Luca Beltrame 2014-06-17 06:13:34 UTC
On 17 giugno 2014 08:02:00 CEST, "Martin Gräßlin " <mgraesslin@kde.org> wrote:

>ok, that has the fix. Which KCM did you use?

I used the desktop effects KCM (as opposed to the compositing KCM).
Comment 5 Martin Flöser 2014-06-17 06:21:54 UTC
(In reply to comment #4)
> >ok, that has the fix. Which KCM did you use?
> 
> I used the desktop effects KCM (as opposed to the compositing KCM).

that explains it :-) The desktop effects KCM is not yet fixed, only the compositing KCM.

I wanted to work on it today, but are not yet sure whether it should be removed altogether there.
Comment 6 Martin Flöser 2014-06-23 06:14:26 UTC
Git commit 2088ce0e7ed1e9451cbc46532b7f5c7e0d4d037b by Martin Gräßlin.
Committed on 17/06/2014 at 06:30.
Pushed by graesslin into branch 'master'.

[kcmkwin/kwincompositing] Drop the OpenGLErrorView from Effects

As we have the split between Effects and Compositor settings nowadays
it's incorrect to have an Compositor related option exposed in the
Effects settings view. Thus the OpenGLErrorView should be removed. As
a nice side-effect that simplifies the main qml file quite a bit by
turning the EffectView from Item into Rectangle.

If it shows that we need the reset GL check in the effects view it would
be better to use a KMessageWidget like in the compositing view.
REVIEW: 118790

M  +2    -1    kcmkwin/kwincompositing/qml/EffectView.qml
D  +0    -48   kcmkwin/kwincompositing/qml/OpenGLErrorView.qml
M  +4    -36   kcmkwin/kwincompositing/qml/main.qml

http://commits.kde.org/kwin/2088ce0e7ed1e9451cbc46532b7f5c7e0d4d037b